Bug 469752 - Add an initial boot-duration file to the plymouth package
Add an initial boot-duration file to the plymouth package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-11-03 16:09 EST by Charlie Brej
Modified: 2009-12-18 01:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Reasonable boot-duration formed from an average of several runs (574 bytes, application/octet-stream)
2008-11-03 16:09 EST, Charlie Brej
no flags Details

  None (edit)
Description Charlie Brej 2008-11-03 16:09:19 EST
Created attachment 322369 [details]
Reasonable boot-duration formed from an average of several runs

The plymouth package should come with a default /var/lib/plymouth/boot-duration file to allow the progress to be estimated on during the first post-installation graphical boot and all live CD boots.
Comment 1 Jeremy Katz 2008-11-03 21:26:42 EST
This seems like a nice improvement.  If we don't want to do it generally in the plymouth package, I guess we could do it in the live image config instead
Comment 2 Ray Strode [halfline] 2008-11-04 13:36:14 EST
caillon suggested we ship a %ghosted copy in the package.  I think that probably makes sense.
Comment 3 Ray Strode [halfline] 2008-11-04 14:05:57 EST
Make that

%verify(not mtime md5)

instead of %ghost
Comment 4 Ray Strode [halfline] 2008-11-10 15:19:50 EST
ended up going with the less exotic %config(noreplace) so it doesn't get wiped out on upgrades.
Comment 5 Ray Strode [halfline] 2008-11-17 14:51:45 EST
so using config(noreplace) is making rpm transactions noisy from the .rpmnew files.
Comment 6 Ray Strode [halfline] 2008-11-17 15:50:06 EST
okay i've done this using the original %ghost approach now.
Comment 7 Bug Zapper 2008-11-25 23:42:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-11-18 03:44:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:44:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.